API ReferenceOrganization collections
Read the customer canvas with bounded factory machine previews (assigned staff only)
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Format
uuidResponse Body
application/json
curl -X GET "https://api.xentr.ai/api/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/canvas"{
"organization": {
"id": "string",
"name": "string",
"slug": "string",
"tier": "string",
"timezone": "string",
"address": "string",
"settings": {
"mapPin": {
"latitude": 0,
"longitude": 0
}
}
},
"factories": [
{
"id": "string",
"organizationId": "string",
"name": "string",
"slug": "string",
"location": "string",
"timezone": "string",
"config": {
"mapPin": {
"latitude": 0,
"longitude": 0
}
},
"machineCount": 0,
"activeMachineCount": 0,
"machines": [
{
"id": "string",
"code": "string",
"name": "string",
"machineType": "string",
"tier": "string",
"isActive": true,
"factoryId": "string",
"factoryName": "string",
"organizationName": "string",
"location": "string",
"protocol": "string"
}
]
}
],
"machineCount": 0,
"memberCount": 0,
"activeTierCounts": {
"property1": 0,
"property2": 0
},
"peopleCounts": {
"member": 0,
"disabled": 0,
"pending": 0,
"expired": 0,
"accepted": 0
}
}